upgrade EclipseE4

From Wiki
Jump to: navigation, search

Updgrade to E4

As a starting point to upgrade uDig to Eclipse E4 Platform this page collects some notes to the incompatibilities


Platform keyring implementation removed

We are not managing credentials at the moment, although we have a spot in IService workflow to insert the use of a security service to look up passwords. Looks like org.eclipse.equinox.security.storage is the target.

--> not applicable.

Compatibility bundles for Eclipse 1.0-2.1 removed

We are not quite that old!

Bundle org.eclipse.help.appserver removed

They replaced tomcat with Jetty, chances are we update some dependencies. Since we depend on org.eclipse.help it may be easy to figure out what the new dependencies are.

Update Manager bundles removed

This was a problem when I did my accidental update - I ended up commenting out the install new plugins menu option. Careful reading shows this is only removed from the SDK, the target platform may still be able to grab them. Options: Migrate to P2, document use of dropins folder, or update target platform file.

Presentation API no longer functional

We did not use this functionality (allows you to mess with look and feel).

Workbench window advisor can no longer customize window creation

We may need to check our udig advisor, as this functionality was intended for RCP apps such as uDig. That said I am not sure we made use of these facilities (it allows you to make funny shaped windows and so forth).

Notes on the E4 way: http://wiki.eclipse.org/Eclipse4/RCP#Contributing_to_the_Model

Servlet 3.0 and Jetty 8

not applicable.